package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance;

import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Schema(description = "管理后台 - 日志实例的拓展新增/修改 Request VO")
@Data
public class LogInstanceSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "20649")
    private Long id;

    @Schema(description = "日志发起人的用户编号", requiredMode = Schema.RequiredMode.NOT_REQUIRED, example = "24292")
    private Long startUserId;

    @Schema(description = "日志发起人的部门编号", requiredMode = Schema.RequiredMode.NOT_REQUIRED, example = "24292")
    private Long deptId;

    @Schema(description = "日志实例的名字", example = "张三的XX日报")
    private String name;

    @Schema(description = "日志类型 字典值 详情参考work_log_type", example = "2")
    private Integer type;

    @Schema(description = "模板编号", example = "11857")
    private Long formId;

    @Schema(description = "模板值")
    private Map<String, Object> formVariables;

    @Schema(description = "附件信息")
    private List<UploadUserFile> fileItems ;

    @Schema(description = "日志详情,日期的值 | yyyy-MM-dd", example = "2024-04-14")
    private String time;
}