package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statistics;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工作日志统计分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LogStatisticsPageReqVO extends PageParam {

    @Schema(description = "模板编号", example = "27285")
    private Long formId;

    @Schema(description = "模板规则编号", example = "17370")
    private Long ruleId;

    @Schema(description = "用户id", example = "23689")
    private Long userId;

    @Schema(description = "部门编号", example = "21782")
    private Long deptId;

    @Schema(description = "日志id", example = "30875")
    private Long logInstanceExtId;

    @Schema(description = "日志类型 1日报 2周报", example = "1")
    private Integer type;

    @Schema(description = "提交状态 1按时提交 2迟交 3未提交", example = "2")
    private Integer status;

    @Schema(description = "提交日期 格式 yyyy-MM-dd")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] time;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}