package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statistics;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工作日志统计 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LogStatisticsRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "29400")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "模板编号", example = "27285")
    @ExcelProperty("模板编号")
    private Long formId;

    @Schema(description = "模板规则编号", example = "17370")
    @ExcelProperty("模板规则编号")
    private Long ruleId;

    @Schema(description = "用户id", example = "23689")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "部门编号", example = "21782")
    @ExcelProperty("部门编号")
    private Long deptId;

    @Schema(description = "日志id", example = "30875")
    @ExcelProperty("日志id")
    private Long logInstanceExtId;

    @Schema(description = "日志类型 1日报 2周报", example = "1")
    @ExcelProperty("日志类型 1日报 2周报")
    private Integer type;

    @Schema(description = "提交状态 1按时提交 2迟交 3未提交", example = "2")
    @ExcelProperty("提交状态 1按时提交 2迟交 3未提交")
    private Integer status;

    @Schema(description = "提交日期 格式 yyyy-MM-dd")
    @ExcelProperty("提交日期 格式 yyyy-MM-dd")
    private String time;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}