package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statisticsrecord;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工作日志统计记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LogStatisticsRecordPageReqVO extends PageParam {

    @Schema(description = "模板编号", example = "4029")
    private Long formId;

    @Schema(description = "模板规则编号", example = "19133")
    private Long ruleId;

    @Schema(description = "是否统计过 0否 1是")
    private Integer statisticsFlag;

    @Schema(description = "统计日期 格式 yyyy-MM-dd")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] time;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}