package cn.iocoder.yudao.module.system.dal.dataobject.comment;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工作日志评论 DO
 *
 * @author 艾楷
 */
@TableName("work_log_comment")
@KeySequence("work_log_comment_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkLogCommentDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 工作日志ID
     */
    private Long workLogId;
    /**
     * 评论ID（回复评论的ID）
     */
    private Long commentId;
    /**
     * 评论用户ID
     */
    private Long userId;
    /**
     * 被评论用户ID
     */
    private Long commentUserId;
    /**
     * 评论内容
     */
    private String comment;
    /**
     * 评论类型（0|评论；1|回评）
     */
    private Boolean type;
    /**
     * 楼栋标识
     */
    private String buildingCode;

}