package cn.iocoder.yudao.module.system.dal.dataobject.worklog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.upload.UploadUserFile;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.util.List;
import java.util.Map;

/**
 * 日志的详情
 *
 */
@TableName(value = "work_log_instance_ext", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogInstanceDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;

    /**
     * 日志发起人的用户ID
     */
    private Long startUserId;

    /**
     * 日志发起人的部门ID
     */
    private Long deptId;

    /**
     * 日志发起人的用户名称
     */
    private String startUserName;

    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 日志名称
     */
    private String name;

    /**
     * 日报类型
     */
    private Integer type;

    /**
     * 日志模板编号
     */
    private Long formId;

    /**
     * 时间格式 yyyy-MM-dd
     */
    private String time;

    /**
     * 日志模板值
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> formVariables;

    /**
     * 附件基本信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems ;
}
