package cn.iocoder.yudao.module.system.dal.dataobject.worklog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 日志查看状态 DO
 *
 * @author 符溶馨
 */
@TableName("work_log_read")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogReadDo extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;

    /**
     * 日志实例编号
     */
    private Long logInstanceId;

    /**
     * 日这发起人的用户编号
     */
    private Long startUserId;

    /**
     * 日志查看人的用户编号
     */
    private Long readUserId;

    /**
     * 日志查看人的部门编号
     */
    private Long readUserDept;

    /**
     * 日志查看状态
     * 0：未读
     * 1：已读
     */
    private Integer readStatus;
}
