package cn.iocoder.yudao.module.system.dal.dataobject.worklog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 日志规则 DO
 *
 * @author 符溶馨
 */
@TableName("work_log_rule")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogRuleDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 模版id
     */
    private Long formId;
    /**
     * 日志类型 1日报 2周报 3月报 4年报
     */
    private Integer type;
    /**
     * 日报情况，需提交的日期 1,2,3,4,5 周一 到 周五
     */
    private String weekDays;
    /**
     * 提交开始时间段 如果是日报的话 格式是 HH:mm 如果是周报的话 格式是 1,HH:mm 其中1代表的是周几
     */
    private String startTime;
    /**
     * 提交结束时间段 如果是日报的话 格式是 HH:mm 如果是周报的话 格式是 1,HH:mm 其中1代表的是周几
     */
    private String endTime;
    /**
     * 提醒时间(小时)
     */
    private Integer remindTime;
    /**
     * 统计时间段 如果是日报的话 格式是 HH:mm 如果是周报的话 格式是 1,HH:mm 其中1代表的是周几
     */
    private String statisticalTime;

}