package cn.iocoder.yudao.module.system.dal.dataobject.worklog;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工作日志统计 DO
 *
 * @author 艾楷
 */
@TableName("work_log_statistics")
@KeySequence("work_log_statistics_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogStatisticsDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 模板编号
     */
    private Long formId;
    /**
     * 模板规则编号
     */
    private Long ruleId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 部门编号
     */
    private Long deptId;
    /**
     * 日志id
     */
    private Long logInstanceExtId;
    /**
     * 日志类型 1日报 2周报
     */
    private Integer type;
    /**
     * 提交状态 1按时提交 2迟交 3未提交
     */
    private Integer status;
    /**
     * 提交日期 格式 yyyy-MM-dd
     */
    private String time;

}