package cn.iocoder.yudao.module.system.dal.mysql.worklog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.rule.LogRulePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogFormDO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogInstanceDO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogRuleDO;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.apache.ibatis.annotations.Mapper;

/**
 * 日志规则 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface LogRuleMapper extends BaseMapperX<LogRuleDO> {

    default PageResult<LogRuleDO> selectPage(LogRulePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LogRuleDO>()
                .eqIfPresent(LogRuleDO::getType, reqVO.getType())
                .betweenIfPresent(LogRuleDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LogRuleDO::getId));
    }
}