package cn.iocoder.yudao.module.system.service.worklog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statisticsrecord.LogStatisticsRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statisticsrecord.LogStatisticsRecordSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogStatisticsRecordDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 工作日志统计记录 Service 接口
 *
 * @author 艾楷
 */
public interface LogStatisticsRecordService {

    /**
     * 创建工作日志统计记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLogStatisticsRecord(@Valid LogStatisticsRecordSaveReqVO createReqVO);

    /**
     * 更新工作日志统计记录
     *
     * @param updateReqVO 更新信息
     */
    void updateLogStatisticsRecord(@Valid LogStatisticsRecordSaveReqVO updateReqVO);

    /**
     * 删除工作日志统计记录
     *
     * @param id 编号
     */
    void deleteLogStatisticsRecord(Long id);

    /**
     * 获得工作日志统计记录
     *
     * @param id 编号
     * @return 工作日志统计记录
     */
    LogStatisticsRecordDO getLogStatisticsRecord(Long id);

    /**
     * 获得工作日志统计记录分页
     *
     * @param pageReqVO 分页查询
     * @return 工作日志统计记录分页
     */
    PageResult<LogStatisticsRecordDO> getLogStatisticsRecordPage(LogStatisticsRecordPageReqVO pageReqVO);

    /**
     * 获取统计记录
     *
     * @param formIds
     * @param thisTime
     * @return
     */
    List<LogStatisticsRecordDO> getByFormIdsAndTime(List<Long> formIds, String thisTime);
}